var report=function(){
    var render_details;
    var render_overview;
    var format = function (date){
        return date.format("YYYY-MM-DD");
    };

    var fetchResult = function(e){
        var start = app.normalizeDate($("input[name='startdate']").val());
        var end = app.normalizeDate($("input[name='enddate']").val());
        var startdate = moment(start, "DD.MM.YYYY", true);
        var enddate = moment(end, "DD.MM.YYYY", true);
        var nuts1 = $("#nuts1").val();
        var beneficiary = $("#beneficiary").val();
        var regioncategory = $("#regioncategory").val();
        var gender = $("#gender").val();
	var foerderphase = $("#foerderphase").val();
	var filter_type = $("select[name='date_filter_type']").val();
        $("#errors").hide();
        $("#reportresult").hide();
        var fetch = function(){
            var csrf = $("input[name='csrfmiddlewaretoken']").val();
            var data = {
                'csrfmiddlewaretoken': csrf
                };
            data["startdate"]=format(startdate);
            data["enddate"]=format(enddate);
            if (nuts1) data["nuts1"]=nuts1;
            if (regioncategory) data["regioncategory"]=regioncategory;
            if (beneficiary) data["beneficiary"]=beneficiary;
            if (gender) data["gender"]=gender;
	    if (foerderphase) data["foerderphase"]=foerderphase;
	        data["date_filter_type"]=filter_type;
            $.ajax({
              type: "POST",
              url: app.esfReportUrl,
              traditional:true,
              data: data,
              success: function(data){
                $("#errors").hide()
                $("#reportresult").show();
                $(".overview").html(render_overview(data));
                $(".details").html(render_details(data));
            },
              dataType: "json"
            }).error(function(e){
                if(e.status == 200){
                    window.location.replace("/login");
                };
                $("#errors").show().text("Ein Fehler ist aufgetreten. Bitte kontaktieren Sie den Support.");
            });
        };
        if (app.validateDates()) fetch();
    };
    var download_export = function(){
        if (app.validateDates()){
            var  url=$("#export").data("link");
            $("form").prop("action", url).submit()
        }
    };

    var initButtons = function(){
        $("#submit").on("click", fetchResult);
        $("#export").on("click", download_export);
    }

    var init = function(){
        render_details = Handlebars.compile($("#details").html());
        render_overview = Handlebars.compile($("#overview").html());
        initButtons();
    };

    return {
        init: init
    }
}()

$(function(){
    report.init()
})
